Bug 1025820 - Matches counts are not recorded in JON
Matches counts are not recorded in JON
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: JON Plugin (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Edson Tirelli
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 12:44 EDT by Tomas Schlosser
Modified: 2014-08-06 16:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the problem (242.21 KB, image/png)
2013-11-01 12:44 EDT, Tomas Schlosser
no flags Details

  None (edit)
Description Tomas Schlosser 2013-11-01 12:44:27 EDT
Created attachment 818365 [details]
Screenshot showing the problem

Description of problem:
KieSession metrics related to Activations/Matches (created, fired, cancelled activations/matches) are not picked by JON.

Version-Release number of selected component (if applicable):
BRMS 6.0.0.ER4
JON 3.2 ER4

How reproducible:
Run any Drools applications creating rule activations/matches and monitor it using JON.

Actual results:
No activations/matches are shown in charts.

Expected results:
Charts with values according to actual data.

Additional info:
The problem probably is that in 6.0 the Activations were renamed to Matches. The JON plugin (as it remained unchanged) still checks for TotalActivationsFired instead of new TotalMatchessFired. As can be seen on attached screenshot, the data is available through JMX console, just not picked by JON.

Please bear in mind that JON plugin has to work for older versions of BRMS (i.e. 5.x) and therefore the plugin should correctly read the data both the old and the new way.
Comment 1 Edson Tirelli 2013-12-02 15:05:24 EST
Update the metrics to use the 6.0.x property names.

(master)
http://github.com/droolsjbpm/droolsjbpm-integration/commit/fad261b51

(6.0.x)
http://github.com/droolsjbpm/droolsjbpm-integration/commit/b36fc43ef
Comment 2 Tomas Schlosser 2014-01-27 08:19:49 EST
Verified with RHQ plugin included in BRMS 6.0.0 CR2

Note You need to log in before you can comment on or make changes to this bug.